<?php
/**
 * Plugin Name:       DOT | Monetize Polls & Quizzes
 * Description:      The easiest way to create and publish interactive polls and quizzes. Fully integrated monetization and analytics.
 * Version:           1.0.17
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            DOT
 * Author URI:        https://dotaudiences.com/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

define( 'DOT_PRESS_VERSION', '1.0.17' );
require_once plugin_dir_path(__FILE__) . 'constants.php';


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function activate_dot_press() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-dot-press-activator.php';
    DotPressActivator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function deactivate_dot_press() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-dot-press-deactivator.php';
    DotPressDeactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_dot_press' );
register_deactivation_hook( __FILE__, 'deactivate_dot_press' );
foreach (glob(plugin_dir_path(__FILE__) . "includes/*.php") as $filename)
{
    require_once $filename;
}

function run_dot() {

    $plugin = new DotPress();
    $plugin->run();

}
run_dot();



