<?php

class DotPressArrayUtils {
    public static function ensureArray($maybeArray) {
        if (is_array($maybeArray)) {
            return $maybeArray;
        }

        if (is_null($maybeArray)) {
            return [];
        }

        return [$maybeArray];
    }

    public static function ensureFirst($maybeArray) {
        return self::ensureArray($maybeArray)[0];
    }

    public static function toNumbers($arr) {
        return array_map(function($item) {
            return intval($item);
        }, $arr);
    }

    public static function findIndex($callable, $arr) {
        $index = -1;

        foreach (self::ensureArray($arr) as $item) {
            $index++;
            $found = call_user_func($callable, $item);

            if ($found) {
                return $index;
            }
        }

        return -1;
    }
}