<?php


class DotPress
{
    /**
     * @var DotPressLoader
     */
    protected $loader;
    /**
     * @var DotPressAdmin
     */
    protected $plugin_admin;
    /**
     * @var DotPressAdminData
     */
    protected $plugin_admin_data;
    /**
     * @var DotPressPublic
     */
    protected $plugin_public;
    /**
     * @var DotPressBlock
     */
    protected $plugin_block;
    protected $plugin_name;
    protected $version;

    public function __construct()
    {
        if (defined('PLUGIN_NAME_VERSION')) {
            $this->version = PLUGIN_NAME_VERSION;
        } else {
            $this->version = '1.0.0';
        }
        $this->plugin_name = 'dot-press';
        $this->load_dependencies();
    }

    private function load_dependencies() {
        $this->loader = new DotPressLoader();
        $this->plugin_admin = new DotPressAdmin($this->get_plugin_name(), $this->get_version(), $this->get_loader());
        $this->plugin_admin_data = new DotPressAdminData($this->get_plugin_name(), $this->get_version(), $this->get_loader());
        $this->plugin_public = new DotPressPublic($this->get_plugin_name(), $this->get_version(), $this->get_loader());
        $this->plugin_block = new DotPressBlock($this->get_plugin_name(), $this->get_version(), $this->get_loader());

    }

    public function run() {
        $this->loader->run();
    }

    public function get_plugin_name()
    {
        return $this->plugin_name;
    }

    public function get_version()
    {
        return $this->version;
    }

    public function get_loader() {
        return $this->loader;
    }
}